<html>
<head>
    <title>Vue JS Template</title>
    <script src="vue.js"></script>
</head>
    <div id="obj">
        <p v-html="testMaHTML"></p>
        <p v-once>{{ noidung }} - {{ showPost }}</p>
        <a v-bind:href="link">My google</a>
        <!-- Di chuot trong pham vi the div nay -->
        <div v-on:mousemove="tinhToaDo"> 
            <h1>Bam nut de tang gia tri</h1>
            <button v-on:click="tangGiatri">An di</button>
            <button v-on:click="dem++">Ấn đi theo Javascrip</button>
            <span v-on:mouseover.stop="">Dung su kien</span>
            <p>Gia tri: {{ dem }}</p>
            <p>Gia tri: {{ dem > 20 ? 'Ban da vuot qua muc gia han' : 'Bạn vẫn nằm trong giới hạn' }}</p>
            <!--  -->
            <p>Toa do cua chuot: {{ x }} / {{ y }}</p>
            
        </div>
        <!-- Sự kiện tương tác với bàn phím   -->
        <div class="">
            <input type="text" v-on:keyup.enter="banPhim">
        </div>
    </div>
   
    <div class="app">
        <input type="text" v-model="name">
        <p>{{ name }}</p>
        <!--  -->
        <p>Gia tri A: {{ tanga }}</p>
        <p>Gia tri B: {{ tangb }}</p>
        <button v-on:click="a++">Tang a</button>
        <button v-on:click="b++">Tang b</button>
        <!--  -->
        <p>{{ diem }}</p>
    </div>

    <script>
    //  Tat ca du lieu truyen qua HTML deu o dang du lieu tho
        new Vue({
            el: '#obj',
            data: {
                noidung= 'Chao cac ban da xem video cua minh!',
                link: 'https://www.google.com',
                testMaHTML: '<a href="https....dsdfds">Get Password</a>',
                dem: 0,
                x: 0,
                y: 0
            },
            methods: {
                sayHello: function() {
                    document.write("Say Hello");
                },
                showPost: function() {
                    this.noidung = 'Noi dung vua cap nhat!';
                    return this.noidung;
                },
                tangGiaTri: function() {
                    this.dem++;
                },
                tinhToaDo: function(event) {
                    this.x = event.clientX;
                    this.y = event.clientY;
                },
                banPhim: function() {
                    alert("Hello baby!!!");
                },
               
            }
        });

        var app = new Vue({
            el: '.app',
            data: {
                name: 'Sky Albert',
                a: 0,
                b: 0,
                diem: 'Bạn A có môn toán 7 điểm'

            },
            computed: {
                tanga: function() {
                    console.log("Goi function a");
                    return this.a;
                },
                tangb: function() {
                    console.log("Goi function b");
                    return this.b;
                }
            },
            watch: {
                diem: function(newValue) {
                    alert("Điểm của bạn ấy đã được một giáo viên nào đó nhập!");
                }
            },
        });

        // vô tình có giáo viên khác vào nhập điểm môn toán
        app.diem = 'Bạn A có môn toán 8 điểm';
    </script>

</html>